Skip to main content
PUT
Rename a charging key

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

keyIdentifier
string
required

keyIdentifier provided when creating the charging key

Body

application/json

Request payload to rename an EMP charging key.

newName
string
required

New name of the Charging key

Example:

"SE6F1K2C3"

Response

Succeed

EMP charging key details returned by key management endpoints.

name
string

Name of the Charging key

Example:

"SE6F1K2C3"

keyIdentifier
string

Charging key identifier in hexadecimal, little-endian format with usually 8 or 14 characters.

Example:

"3633e0e0"

validTo
string<date-time>

UTC timestamp when the charging key expires.

Example:

"2022-01-24T11:25:54.210Z"

fleetId
string

Fleet id

Example:

"y1nNLJqb7m"

contractId
string

Charging key contract id

Example:

"DE-9FS-C045DS363-E"

visualNumber
string

Identifier printed on the physical key

Example:

"6285629402937"

enabled
boolean

Charging key is enabled or disabled

Example:

true

whitelist
enum<string>

Defines whether the CPO may allow a session for this charging key when it cannot get a response from the EMP, or must always rely on realtime authorization from the EMP. Possible values: ALLOWED_OFFLINE, NEVER.

Available options:
ALLOWED_OFFLINE,
NEVER
Example:

"NEVER"